diff --git a/share/shpkg/shpkg.subr b/share/shpkg/shpkg.subr
index d51ddfb..2a15958 100644
--- a/share/shpkg/shpkg.subr
+++ b/share/shpkg/shpkg.subr
@@ -517,7 +517,9 @@ shpkg_configure () {
if [ -x "${SHPKG_REPO_SRC_DIR}/configure" ]; then
( verbose 1 cd "${SHPKG_REPO_SRC_DIR}"
verbose 1 ./configure --prefix "${SHPKG_PREFIX}"
+ echo $? >&2
exit $?; )
+ echo $? >&2
elif [ -x "${SHPKG_REPO_SRC_DIR}/configure.sh" ]; then
( verbose 1 cd "${SHPKG_REPO_SRC_DIR}"
verbose 1 ./configure.sh --prefix "${SHPKG_PREFIX}"